import Mock from 'mockjs'
import API from '../../../src/api'

let listData = Mock.mock({
  'dataList': [
    {
      'data': [
        {'NAME':'李子','PRICE': '128'},
        {'NAME':'苹果','PRICE': '130'},
        {'NAME':'香蕉','PRICE': '110'},
        {'NAME':'西瓜','PRICE': '100'}
      ]
    }
  ],
  'carList': [
    {
      'data': [
        {'NAME':'1李子','PRICE': '128'},
        {'NAME':'1苹果','PRICE': '130'},
        {'NAME':'1香蕉','PRICE': '110'},
        {'NAME':'1西瓜','PRICE': '100'}
      ]
    }
  ]
})

export const getList = {
  url: new RegExp(API.getList),
  type: /get/,
  callback: function (req) {
    // console.log(req.body)
    return {
      status: 'ok',
      data: listData.dataList
    }
  }
}

export const getCar = {
  url: new RegExp(API.getcarList),
  type: /get/,
  callback: function (req) {
    // console.log(req.body)
    return {
      status: 'ok',
      data: listData.carList
    }
  }
}