import Vue from 'vue'
import Router from 'vue-router'
// import HelloWorld from '@/components/HelloWorld'
// import Bar from '@/components/bar'
import chaogeBrush from '@/components/chaogebrush'
import TestCom from '@/components/TestCom'
// import Homepage from '@/views/homepage'
import routerPage from './modules/router.index'

const childRouters = [...routerPage]

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: 'home',
      component (resolve) {
        require(['@/views/homepage/index.vue'], resolve)
      },
      children: childRouters
    },
    {
      path: '/chaogebrush',
      name: 'chaogebrush',
      component: chaogeBrush,
      meta: {
        keepAlive: true, // 需要被缓存
        isBack: false
      }
    },
    {
      path: '/Testcom',
      name: 'TestCom',
      component: TestCom
    }
  ]
})
