import TYPES from '../mutation_types'
import API from '../../api'
const chart = {
  state: {
    time: {},
    list: [],
    carlist: []
  },
  mutations: {
    [TYPES.TIME] (state, val) {
      state.time = val.time
    },
    [TYPES.LIST] (state, val) {
      state.list = val.list
    },
    [TYPES.CARLIST] (state, val) {
      state.list = val.list
    }
  },
  actions: {
    async getTime (context, val) {
      console.log(val)
      context.commit({
        type: 'TIME',
        time: val.time
      })
    },
    async getList (context, val) {
      console.log(val)
      val.params.val.$http.get(API.getList, {
      })
        .then(function (response) {
          console.log(response)
        })
        .catch(function (error) {
          console.log(error)
        })
      context.commit({
        type: 'LIST',
        list: val.list
      })
    },
    async getcarList (context, val) {
      console.log(val)
      val.params.val.$http.get(API.getcarList, {
      })
        .then(function (response) {
          console.log(response)
        })
        .catch(function (error) {
          console.log(error)
        })
      context.commit({
        type: 'CARLIST',
        list: val.list
      })
    }
  },
  getters: {
    time: state => { return state.time },
    list: state => { return state.list },
    carlist: state => { return state.carlist }
  }
}

export default chart
